# MPI_Aint_add

Returns the sum of base and disp

## Synopsis

    MPI_Aint MPI_Aint_add(MPI_Aint base, MPI_Aint disp)

## Input Parameters

base
  base address (integer)
disp
  displacement (integer)

## Return value

Sum of the base and disp argument

## Notes

MPI_Aint_Add produces a new MPI_Aint value that is equivalent to the sum of the base and disp arguments, where base represents a base address returned by a call to MPI_GET_ADDRESS and disp represents a signed integer displacement. The resulting address is valid only at the process that generated base, and it must correspond to a location in the same object referenced by base. The addition is performed in a manner that results in the correct MPI_Aint representation of the output address, as if the process that originally produced base had called:

        MPI_Get_address((char *) base + disp, &result)

See Also MPI_Aint_diff